%{?nodejs_find_provides_and_requires}

%global packagename cookie-session
%global enable_tests 1
%global prerelease alpha.1

Name:		nodejs-cookie-session
Version:	2.0.0
Release:	0.1.%{prerelease}%{?dist}
Summary:	cookie session middleware

License:	MIT
URL:		https://github.com/expressjs/cookie-session
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}-%{prerelease}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}-%{prerelease}.tar.bz2
Source10:	dl-tests.sh


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(cookies)
BuildRequires:	npm(connect)
%endif

Requires:	nodejs

%description
cookie session middleware


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha -R spec
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Fri Nov  6 2015 Jared Smith <jsmith@fedoraproject.org> - 2.0.0-0.1.alpha.1
- Initial packaging
